## jbig2enc 0.29

=== debian/changelog ===
jbig2enc (0.29-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:33:10 +0000

jbig2enc (0.29-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064148

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 13:10:57 +0000

jbig2enc (0.29-2) unstable; urgency=medium

  * fix: set LD_LIBRARY_PATH when generating man page;
    closes: bug#1053203, thanks to Paul Wise

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Oct 2023 19:51:55 +0200

jbig2enc (0.29-1) experimental; urgency=low

  * initial Release;
    closes: bug#1052276

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 19 Sep 2023 20:45:31 +0200
