=== debian/control ===
Source: jbig2enc
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends: dpkg-dev (>= 1.22.5),
 cmark-gfm <!nodoc>,
 d-shlibs (>= 0.106~),
 debhelper-compat (= 13),
 help2man <!nodoc>,
 libgif-dev,
 libjpeg-dev,
 libleptonica-dev,
 libpng-dev,
 libtiff-dev,
 libwebp-dev,
 zlib1g-dev,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/jbig2enc.git
Vcs-Browser: https://salsa.debian.org/debian/jbig2enc
Homepage: https://github.com/agl/jbig2enc
Rules-Requires-Root: no

Package: libjbig2enc0t64
Provides: ${t64:Provides}
Replaces: libjbig2enc0
Conflicts: libjbig2enc0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 link-grammar-dictionaries-en,
 minisat,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 link-grammar-dictionaries-all,
Description: encoder for JBIG2 - libraries
 jbig2enc is an encoder for JBIG2.
 .
 JBIG2 encodes bi-level (1 bpp) images
 using a number of clever tricks to get better compression than G4.
 This encoder can:
  * Generate JBIG2 files, or fragments for embedding in PDFs
  * Generic region encoding
  * Perform symbol extraction, classification and text region coding
  * Perform refinement coding and,
  * Compress multipage documents
 .
 This package contains the shared library.

Package: libjbig2enc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libjbig2enc0t64 (= ${binary:Version}),
 ${devlibs:Depends},
 ${misc:Depends},
Description: encoder for JBIG2 - development headers
 jbig2enc is an encoder for JBIG2.
 .
 JBIG2 encodes bi-level (1 bpp) images
 using a number of clever tricks to get better compression than G4.
 This encoder can:
  * Generate JBIG2 files, or fragments for embedding in PDFs
  * Generic region encoding
  * Perform symbol extraction, classification and text region coding
  * Perform refinement coding and,
  * Compress multipage documents
 .
 This package contains the header files and static libraries

Package: jbig2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: encoder for JBIG2 - command-line tool
 jbig2enc is an encoder for JBIG2.
 .
 JBIG2 encodes bi-level (1 bpp) images
 using a number of clever tricks to get better compression than G4.
 This encoder can:
  * Generate JBIG2 files, or fragments for embedding in PDFs
  * Generic region encoding
  * Perform symbol extraction, classification and text region coding
  * Perform refinement coding and,
  * Compress multipage documents
 .
 This package provides the command-line tool jbig2.
