## jbig2enc 0.30

=== debian/changelog ===
jbig2enc (0.30-1) unstable; urgency=medium

  [ upstream ]
  * new upstream release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream, now applied
  * update source helper script copyright-check
  * tighten build-dependency on d-shlibs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Dec 2024 02:44:38 +0100

jbig2enc (0.29-5) unstable; urgency=medium

  * add patch cherry-picked upstream
    to fix heap-use-after-free error;
    thanks to Jeff Breidenbach

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Sep 2024 03:04:20 +0200

jbig2enc (0.29-4) unstable; urgency=medium

  * fix generate man page;
    closes: bug#1070220, thanks to Paul Wise and Bernhard Übelacker

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2024 11:31:53 +0200

jbig2enc (0.29-3) unstable; urgency=medium

  * acknowledge NMU;
    thanks to Lukas Märdian
  * add patches cherry-picked upstream:
    + reject odd unsupported input depths
    + fix build with Leptonica >=1.83;
      closes: bug#1081968, thanks to Jeff Breidenbach
  * tighten build-dependency on d-shlibs
    (see bug#1081968)
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 17 Sep 2024 11:21:52 +0200
