=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: jbig2enc
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jonas Smedegaard <dr@jones.dk>
-Build-Depends: dpkg-dev (>= 1.22.5),
+Maintainer: Jonas Smedegaard <dr@jones.dk>
+Build-Depends:
  cmark-gfm <!nodoc>,
- d-shlibs (>= 0.106~),
+ d-shlibs (>= 0.109~),
  debhelper-compat (= 13),
+ dpkg-dev (>= 1.22.5),
  help2man <!nodoc>,
  libgif-dev,
  libjpeg-dev,
@@ -15,16 +15,13 @@
  libtiff-dev,
  libwebp-dev,
  zlib1g-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/jbig2enc.git
 Vcs-Browser: https://salsa.debian.org/debian/jbig2enc
 Homepage: https://github.com/agl/jbig2enc
 Rules-Requires-Root: no
 
 Package: libjbig2enc0t64
-Provides: ${t64:Provides}
-Replaces: libjbig2enc0
-Conflicts: libjbig2enc0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -35,6 +32,12 @@
  ${shlibs:Depends},
 Suggests:
  link-grammar-dictionaries-all,
+Provides:
+ ${t64:Provides},
+Replaces:
+ libjbig2enc0,
+Conflicts:
+ libjbig2enc0 (<< ${source:Version}),
 Description: encoder for JBIG2 - libraries
  jbig2enc is an encoder for JBIG2.
  .
