=== debian/rules ===
--- 
+++ 
@@ -50,9 +50,8 @@
 	dh_installchangelogs -- ChangeLog
 
 # build manpages
-jbig2.1: LD_LIBRARY_PATH = src/.libs
 jbig2.1: %.1: src/%
-	help2man --section 1 --no-info --no-discard-stderr \
+	LD_LIBRARY_PATH=src/.libs help2man --section 1 --no-info --no-discard-stderr \
 		--name "encoder for JBIG2" \
 		--output $@ $< \
 		|| { $1 --help; false; }
